## tasksel 3.73devuan1

=== debian/changelog ===
tasksel (3.73devuan1) unstable; urgency=medium

  * Merge tag 3.73.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 25 May 2023 18:00:17 +0100

tasksel (3.72devuan1) unstable; urgency=medium

  * Merge tag 3.72.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 26 Feb 2023 22:28:06 +0000

tasksel (3.71devuan1) unstable; urgency=medium

  * Merge tag 3.71.
  * Add time-daemon to kde-desktop for time setting menu item (Closes: #727).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 04 Jan 2023 07:19:20 +0000

tasksel (3.70devuan1) unstable; urgency=medium

  * Merge tag 3.70.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 19 Jul 2022 09:52:16 +0100

tasksel (3.69devuan2) unstable; urgency=medium

  * Restore lxde and gnome to tasksel selection list (Closes: #670).
  * Remove cruft from when gnome, kde and lxde was disabled.
  * Flatten directory structure of tasks/ to reduce delta from Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Mar 2022 08:06:19 +0000

tasksel (3.69devuan1) unstable; urgency=medium

  * Merge 3.69

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 11 Feb 2022 15:26:29 +0000

tasksel (3.68+devuan7) unstable; urgency=medium

  [ Boian Bonev ]
  * Recommend python-apt-common-devuan along synaptic
    - this adds Devuan mirror list and releases template

  [ Mark Hindley ]
  * Version 3.68+devuan7.

 -- Mark Hindley <leepen@debian.org>  Wed, 02 Feb 2022 07:35:20 +0000

tasksel (3.68+devuan6) unstable; urgency=medium

  * Revert "Add debian-brltty-initscript-override to
    task-speech-accessibility." Brltty initscript fixed in Debian

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 14 Oct 2021 17:35:29 +0100

tasksel (3.68+devuan5) unstable; urgency=medium

  * Add debian-brltty-initscript-override to task-speech-accessibility.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 17 Sep 2021 11:23:48 +0100
