=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
	   Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Git: https://git.devuan.org/devuan/tasksel.git
Vcs-Browser: https://git.devuan.org/devuan/tasksel
Rules-Requires-Root: no
Origin: Devuan

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Devuan systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Devuan systems
 This package contains data about the standard tasks available on a Devuan
 system.

Package: task-speech-accessibility
Architecture: all
Depends: ${misc:Depends},
# An accessible display manager
	 lightdm | gdm3,
	 devuan-speech-dispatcher-config-override
Description: Speech accessibility configuration
 This task configures the system for speech synthesis using ALSA which supports
 both graphical and console interfaces.

Package: task-desktop
Architecture: all
Description: Devuan desktop environment
 This task package is used to install the Devuan desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
#	 task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-gnome-desktop ,
##	 task-xfce-desktop | task-cinnamon-desktop | task-kde-desktop | task-lxde-desktop | task-lxqt-desktop | task-mate-desktop ,
	 task-xfce-desktop | task-cinnamon-desktop | task-lxde-desktop | task-kde-desktop | task-lxqt-desktop | task-mate-desktop | task-gnome-desktop,
#	 task-xfce-desktop | task-lxde-desktop | task-mate-desktop ,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Devuan desktop, featuring
 the GNOME desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# Package management
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,

Package: task-gnome-flashback-desktop
Architecture: all
Description: GNOME Flashback
 This task package is used to install the Debian desktop, featuring
 the GNOME Flashback desktop environment, and with other packages that
 Debian users expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# the basic components required for the session
	gnome-session-flashback,
# the display manager
	gdm3,
# the control center
	gnome-control-center,
# some core GNOME applications
	eog,
	evince,
	file-roller,
	gedit,
	gnome-calculator,
	gnome-screenshot,
	gnome-terminal,
	totem,
# network manager applet
	network-manager-gnome,
Recommends:
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# accessibility support
	orca,
# web browser
	firefox | firefox-esr,
# mail client
	evolution,
# package management
	gnome-software,
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# some non-core GNOME applications
	alacarte,
	gnome-disk-utility,
	gnome-tweaks,
	yelp,

Package: task-kde-desktop
Architecture: all
Description: KDE
 This task package is used to install the Devuan desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	lightdm | slim | sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# KDE support in LibreOffice
	libreoffice-plasma,
	libreoffice-kf5,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	print-manager,
# make time setting menu item work
       time-daemon | ntpsec-ntpdate

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Devuan desktop, featuring
 the LXDE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm | slim,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk2,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Devuan desktop, featuring
 the LXQt desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
# Mention the preferred theme before sddm, otherwise another theme will be used
         sddm-theme-maui | sddm-theme,
         lightdm | slim | sddm,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt5,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Devuan desktop, featuring
 the Xfce desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	slim | lightdm,
Recommends:
# a screen saver/locker
## Actually don't recommend one here. xfce4 depends on xfce4-session and that already recommends screensaver(s).
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-gnome | connman-gtk | cmst,
# package management
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Devuan desktop, featuring
 the Cinnamon desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment,
	lightdm | slim,

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Devuan desktop, featuring
 the MATE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm | slim,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome | connman-gtk | cmst,
# orca works with mate, adding accessability
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	avahi-autoipd,
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
