## tasksel 3.73+parrot5

=== debian/changelog ===
tasksel (1:3.73+parrot5) lory-updates; urgency=medium

  * Final adjustments to parrot modules description.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 05:45:56 +0100

tasksel (1:3.73+parrot4) lory-updates; urgency=medium

  * Attempt to fix error in reading task description.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 05:30:24 +0100

tasksel (1:3.73+parrot3) lory-updates; urgency=medium

  * Fix typo

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 05:11:09 +0100

tasksel (1:3.73+parrot2) lory-updates; urgency=medium

  * Adjust parrot tasks syntax.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 05:07:47 +0100

tasksel (1:3.73+parrot1) lory; urgency=medium

  * Import new Debian release.
  * Use parrot metapackages.
  * Use Mate as default desktop.
  * Implement new Parrot selection menu.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 04:28:30 +0100

tasksel (1:3.68+parrot2) lts-updates; urgency=medium

  * Update names of parrot metapackages.
  * Add more granular metapackages selection.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 12 Jan 2022 14:28:39 +0100

tasksel (1:3.68+parrot1) lts-updates; urgency=medium

  * Import new Debian release.
  * integrate the new Parrot metapackages.
  * Add laptop-mode-tools powersaving support.
  * Use nginx stack instead of apache2 for web-server.
  * Don't depend on sddm for kde (we use lightdm).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 01 Dec 2021 14:28:50 +0100

tasksel (1:3.53+parrot2) rolling; urgency=medium

  * Increase version number to override debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 07 Sep 2019 15:04:43 +0200

tasksel (3.53+parrot1) testing; urgency=medium

  * Increase version number to override debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 04 Jun 2019 19:21:17 +0200

tasksel (3.52+parrot1) testing; urgency=medium

  * Import new Debian release.
  * Minor parrot updates.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 24 Apr 2019 03:23:02 +0200

tasksel (3.50+parrot1) testing; urgency=medium

  * Import new Debian release.
  * Update Parrot modules.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 22 Mar 2019 11:11:49 +0100
