=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: nicoo <nicoo@debian.org>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
	parrot-interface,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-mate-desktop | task-kde-desktop | task-xfce-desktop | task-gnome-desktop,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
	parrot-desktop-gnome,
Recommends: parrot-interface-home,
# we need a working network setup at least
	network-manager-gnome,

Package: task-gnome-flashback-desktop
Architecture: all
Description: GNOME Flashback
 This task package is used to install the Debian desktop, featuring
 the GNOME Flashback desktop environment, and with other packages that
 Debian users expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# the basic components required for the session
	gnome-session-flashback,
# the display manager
	gdm3,
# the control center
	gnome-control-center,
# some core GNOME applications
	eog,
	evince,
	file-roller,
	gedit,
	gnome-calculator,
	gnome-screenshot,
	gnome-terminal,
	totem,
# network manager applet
	network-manager-gnome,
Recommends:
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# accessibility support
	orca,
# web browser
	firefox | firefox-esr,
# mail client
	evolution,
# package management
	gnome-software,
	synaptic,
# some non-core GNOME applications
	alacarte,
	gnome-disk-utility,
	gnome-tweaks,
	yelp,

Package: task-kde-desktop
Architecture: all
Description: KDE Plasma
 This task package is used to install the Debian desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	parrot-desktop-kde
Recommends: parrot-interface-home,
# gui for configuration of the print service
	print-manager,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Debian desktop, featuring
 the LXQt desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
# Mention the preferred theme before sddm, otherwise another theme will be used
         sddm-theme-debian-elarun | sddm-theme,
         sddm,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt5,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	parrot-desktop-xfce,
Recommends:
# a screen saver/locker
	light-locker,
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# pdf viewer
	atril,
# network management
	network-manager-gnome,
	parrot-interface-home,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Debian desktop, featuring
 the Cinnamon desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Debian desktop, featuring
 the MATE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	parrot-desktop-mate,
Recommends: parrot-interface-home

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	nginx,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-sq | firefox-l10n-sq,
	myspell-sq,

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-gnome-desktop
Architecture: all
Description: Amharic GNOME desktop
 This task localises the GNOME desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	ibus-m17n,
# ibus doesn't have a default config for all languages, so force creation
	gnome-initial-setup

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Amharic.
Depends: ${misc:Depends},
Recommends:
	fcitx-frontend-qt5,
	kde-config-fcitx

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	fonts-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop
Architecture: all
Description: Arabic desktop
 This task localises the desktop in Arabic.
Depends: ${misc:Depends},
Recommends:
	fonts-kacst,
	fonts-farsiweb,
	firefox-esr-l10n-ar | firefox-l10n-ar,
	libreoffice-l10n-ar,
	hunspell-ar

Package: task-arabic-kde-desktop
Architecture: all
Description: Arabic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Arabic.
Depends: ${misc:Depends},

Package: task-asturian
Architecture: all
Description: Asturian environment
 This task installs packages and documentation in Asturian
 to help Asturian speaking people use Debian.
Depends: ${misc:Depends},

Package: task-asturian-desktop
Architecture: all
Description: Asturian desktop
 This task localises the desktop in Asturian.
Depends: ${misc:Depends},
Recommends:
	libreoffice-l10n-ast,
	firefox-esr-l10n-ast | firefox-l10n-ast,

Package: task-basque
Architecture: all
Description: Basque environment
 This task installs packages and documentation in Basque
 to help Basque speaking people use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-eu

Package: task-basque-desktop
Architecture: all
Description: Basque desktop
 This task localises the desktop in Basque.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-eu | firefox-l10n-eu,
	libreoffice-l10n-eu,
	libreoffice-help-eu,
	hunspell-eu-es

Package: task-basque-kde-desktop
Architecture: all
Description: Basque KDE Plasma desktop
 This task localises the KDE Plasma desktop in Basque.
Depends: ${misc:Depends},

Package: task-belarusian
Architecture: all
Description: Belarusian environment
 This task installs packages and documentation in Belarusian
 to help Belarusian speaking people use Debian.
Depends: ${misc:Depends},

Package: task-belarusian-desktop
Architecture: all
Description: Belarusian desktop
 This task localises the desktop in Belarusian.
Depends: ${misc:Depends},
Recommends:
	libreoffice-l10n-be,
	firefox-esr-l10n-be | firefox-l10n-be,
	hunspell-be

Package: task-belarusian-kde-desktop
Architecture: all
Description: Belarusian KDE Plasma desktop
 This task localises the KDE Plasma desktop in Belarusian.
Depends: ${misc:Depends},

Package: task-bengali
Architecture: all
