## tasksel 3.75

=== debian/changelog ===
tasksel (3.75) unstable; urgency=medium

  * Team upload.

  * Ordering of tasks: move standard task to the bottom of the list. This
    reverts changed behaviour in 3.74, which moved standard task to the top.

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 16 Feb 2024 19:31:10 +0100

tasksel (3.74) unstable; urgency=medium

  * Team upload.

  [ Andrew Lee ]
  * Revert to fcitx for Traditional Chinese desktop.
  * Install fcitx frontend for all desktops instead of only qt5 for kde.
  * Install common input method tables for Traditional Chinese desktop.

  [ Rene Engelhard ]
  * task-mate-desktop:
     - Recommend libreoffice-gnome in task-mate-desktop (closes: #1051968)

  [ Luna Jernberg ]
  * Updated Swedish debconf translation.

  [ Arnaud Rebillout ]
  * Fix task ordering, and make 'apt install' more deterministic.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 27 Jan 2024 22:06:42 +0100
