=== debian/control ===
--- 
+++ 
@@ -40,17 +40,19 @@
 	xserver-xorg-video-all,
 	xserver-xorg-input-all,
 	desktop-base,
-	parrot-interface,
 Recommends:
 # One of the actual desktop tasks is needed to get a full desktop environment.
 # The order here is significant when installing this task manually;
 # when tasksel installs this task it instead selects one of these based
 # on the tasksel/desktop debconf setting.
-	task-mate-desktop | task-kde-desktop | task-xfce-desktop | task-gnome-desktop,
+	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-gnome-flashback-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
 # For use by third-party apps.
 	xdg-utils,
 # Font with wide unicode coverage, prevents “Unicode tofu”
 	fonts-symbola,
+# mdns/zeroconf stuff
+	avahi-daemon,
+	libnss-mdns,
 # desktop machines might not be up 24/7
 	anacron,
 # Make sure that CDs etc can be ejected. May not be installed by d-i.
@@ -77,8 +79,26 @@
 	task-desktop,
 # only depend on a very minimal gnome desktop, to ensure it fits on CD1
 	gnome-core,
-	parrot-desktop-gnome,
-Recommends: parrot-interface-home,
+Recommends:
+# The full gnome desktop environment should be included if possible
+# even if the larger gnome metapackage doesn't fit.
+	gnome,
+# Package management
+	synaptic,
+# GNOME support in LibreOffice
+	libreoffice-gnome,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
 # we need a working network setup at least
 	network-manager-gnome,
 
@@ -145,8 +165,30 @@
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
-	parrot-desktop-kde
-Recommends: parrot-interface-home,
+	kde-standard,
+	sddm,
+Recommends:
+# accessibility support
+	kdeaccessibility,
+# orca works with kde, adding accessibility
+	orca,
+# temporarily moved from task-desktop due to #525077
+	gimp,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# KDE support in LibreOffice
+	libreoffice-plasma,
+	libreoffice-kf5,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
 # gui for configuration of the print service
 	print-manager,
 
@@ -228,7 +270,9 @@
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
-	parrot-desktop-xfce,
+# The basics of xfce, not the whole thing.
+	xfce4,
+	lightdm
 Recommends:
 # a screen saver/locker
 	light-locker,
@@ -236,13 +280,41 @@
 	xfce4-goodies,
 	xfce4-power-manager,
 	xfce4-terminal,
+# xfce text editor
+	mousepad,
 # xfce is really improved by using dbus
 	default-dbus-session-bus | dbus-session-bus,
+# support for scanners
+	xsane,
+# media players
+	parole,
+	quodlibet,
 # pdf viewer
 	atril,
+# icon theme
+	tango-icon-theme,
 # network management
 	network-manager-gnome,
-	parrot-interface-home,
+# package management
+	synaptic,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# gui for configuration of the print service
+	system-config-printer,
+# orca works with xfce, adding accessibility
+	orca,
+# libreoffice accessibility needs the GTK frontend
+	libreoffice-gtk3,
 
 Package: task-cinnamon-desktop
 Architecture: all
@@ -263,8 +335,32 @@
 Depends: ${misc:Depends},
 	task-desktop,
 	mate-desktop-environment,
-	parrot-desktop-mate,
-Recommends: parrot-interface-home
+	lightdm,
+Recommends:
+# temporarily moved from task-desktop due to #525077
+	gimp,
+# Package management.
+	synaptic,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# make e.g. sftp:// work in caja
+	libreoffice-gnome,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# we need a working network setup at least
+	network-manager-gnome,
+# orca works with mate, adding accessibility
+	orca,
+# libreoffice accessibility needs the GTK frontend
+	libreoffice-gtk3,
 
 Package: task-laptop
 Architecture: all
@@ -273,6 +369,7 @@
 Depends: ${misc:Depends},
 	anacron,
 Recommends:
+	avahi-autoipd,
 	bluetooth,
 	powertop,
 # wireless networking tools
@@ -286,7 +383,10 @@
  This task selects packages useful for a general purpose web server
  system.
 Depends: ${misc:Depends},
-	nginx,
+	apache2,
+Recommends:
+	apache2-doc,
+	analog,
 
 Package: task-ssh-server
 Architecture: all
@@ -352,98 +452,3 @@
 Package: task-arabic
 Architecture: all
 Description: Arabic environment
- This task installs programs, data files, fonts, and
- documentation that makes it easier for Arabic speakers
- to use Debian.
-Depends: ${misc:Depends},
-Recommends:
-	fonts-arabeyes,
-	aspell-ar,
-	aspell-ar-large,
-	itools
-
-Package: task-arabic-desktop
-Architecture: all
-Description: Arabic desktop
- This task localises the desktop in Arabic.
-Depends: ${misc:Depends},
-Recommends:
-	fonts-kacst,
-	fonts-farsiweb,
-	firefox-esr-l10n-ar | firefox-l10n-ar,
-	libreoffice-l10n-ar,
-	hunspell-ar
-
-Package: task-arabic-kde-desktop
-Architecture: all
-Description: Arabic KDE Plasma desktop
- This task localises the KDE Plasma desktop in Arabic.
-Depends: ${misc:Depends},
-
-Package: task-asturian
-Architecture: all
-Description: Asturian environment
- This task installs packages and documentation in Asturian
- to help Asturian speaking people use Debian.
-Depends: ${misc:Depends},
-
-Package: task-asturian-desktop
-Architecture: all
-Description: Asturian desktop
- This task localises the desktop in Asturian.
-Depends: ${misc:Depends},
-Recommends:
-	libreoffice-l10n-ast,
-	firefox-esr-l10n-ast | firefox-l10n-ast,
-
-Package: task-basque
-Architecture: all
-Description: Basque environment
- This task installs packages and documentation in Basque
- to help Basque speaking people use Debian.
-Depends: ${misc:Depends},
-Recommends:
-	aspell-eu
-
-Package: task-basque-desktop
-Architecture: all
-Description: Basque desktop
- This task localises the desktop in Basque.
-Depends: ${misc:Depends},
-Recommends:
-	firefox-esr-l10n-eu | firefox-l10n-eu,
-	libreoffice-l10n-eu,
-	libreoffice-help-eu,
-	hunspell-eu-es
-
-Package: task-basque-kde-desktop
-Architecture: all
-Description: Basque KDE Plasma desktop
- This task localises the KDE Plasma desktop in Basque.
-Depends: ${misc:Depends},
-
-Package: task-belarusian
-Architecture: all
-Description: Belarusian environment
- This task installs packages and documentation in Belarusian
- to help Belarusian speaking people use Debian.
-Depends: ${misc:Depends},
-
-Package: task-belarusian-desktop
-Architecture: all
-Description: Belarusian desktop
- This task localises the desktop in Belarusian.
-Depends: ${misc:Depends},
-Recommends:
-	libreoffice-l10n-be,
-	firefox-esr-l10n-be | firefox-l10n-be,
-	hunspell-be
-
-Package: task-belarusian-kde-desktop
-Architecture: all
-Description: Belarusian KDE Plasma desktop
- This task localises the KDE Plasma desktop in Belarusian.
-Depends: ${misc:Depends},
-
-Package: task-bengali
-Architecture: all
