## tasksel 3.75ubuntu1

=== debian/changelog ===
tasksel (3.75ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 15:05:15 +0100
