=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tasksel
-Section: tasks
+Section: admin
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: nicoo <nicoo@debian.org>
 Standards-Version: 4.6.1
 Build-Depends:
@@ -450,5 +451,3 @@
 	kde-config-fcitx
 
 Package: task-arabic
-Architecture: all
-Description: Arabic environment
