=== debian/changelog ===
tasksel (3.75ubuntu1trisquel6) ecne; urgency=medium

  * Added Trisquel's tasks

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:35:10 +0000
