=== debian/changelog ===
tasksel (3.75ubuntu1trisquel7) ecne; urgency=medium

  * Added Trisquel's tasks
  * Added Trisquel's l10n tasksel implementation for d-i

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Aug 2025 11:50:17 +0000
