=== debian/control ===
Source: tasksel
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: nicoo <nicoo@debian.org>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.
